/*
 *  Pin.cpp
 *  Visualizer
 *
 *  Created by Mark Watson on Wed Nov 05 2003.
 *  Copyright (c) 2004 University Of Saskatchewan. All rights reserved.
 *
 */

#include "Primaries.h"


Pin::Pin(float x, float y, float z, Gel* g): _x(x), _y(y), _z(z), _gel(g) {
	_pitch = 0;
	_yaw = 0;
	_roll = 0;
};
Pin::Pin(float x, float y, float z, float pitch, float yaw, float roll, Gel* g): _x(x), _y(y), _z(z), 
_pitch(pitch), _yaw(yaw), _roll(roll), _gel(g) {};
Pin::Pin() :  _x(0), _y(0), _z(0), _pitch(0), _yaw(0), _roll(0){
};
Pin::~Pin() {
};

float Pin::get_x() {
    return _x;
};

float Pin::get_y() {
    return _y;
}

float Pin::get_z() {
    return _z;
}

float Pin::get_yaw() {
    return _yaw;
};

float Pin::get_pitch() {
    return _pitch;
}

float Pin::get_roll() {
    return _roll;
}


Gel* Pin::get_gel(){
    Gel* ref = _gel;
    return ref;
}

void Pin::set_y(float y){
    _y = y;
};
void Pin::set_x(float x){
    _x = x;
}; 

void Pin::set_z(float z){
    _z = z;
};

void Pin::set_pitch(float pitch){
    _pitch = pitch;
};
void Pin::set_yaw(float yaw){
    _yaw = yaw;
}; 

void Pin::set_roll(float roll){
    _roll = roll;
};

void Pin::set_gel(Gel* g) {
    _gel = g;
};

/**
GEL
**/

Gel::Gel() {
};//std::cout<<"this is working\n";};

/*Gel::Gel(std::string name) {
    _num_children = 0;
};*/
Gel::~Gel(){
};
void Gel::draw_self(){
};

float Gel::get_height() { return _height;};
float Gel::get_width() { return _width;};
float Gel::get_depth() { return _depth;};
void Gel::add_to_face(Pin* p, int i){};